﻿using System;
using System.Linq;
using System.Windows;
using CommunityDays.Database.Database;
using CommunityDays.Database.Entities;
using Microsoft.Phone.Controls;

namespace CommunityDays.Database
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void Add_Click(object sender, RoutedEventArgs e)
        {
            using (CommunityDaysContext db = new CommunityDaysContext(CommunityDaysContext.ConnectionString))
            {
                Session session = new Session
                                      {
                                          Code = Guid.NewGuid().ToString(),
                                          Title = "SQL CE e accesso ai dati"
                                      };

                db.Sessions.InsertOnSubmit(session);
                db.SubmitChanges();

                txtTotal.Text = db.Sessions.Count().ToString();
            }
        }

        private void Show_Click(object sender, RoutedEventArgs e)
        {
            using (CommunityDaysContext db = new CommunityDaysContext(CommunityDaysContext.ConnectionString))
            {
                Session session = db.Sessions.FirstOrDefault();
                MessageBox.Show(session.Title);
            }
        }
    }
}