﻿using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace CommunityDays.SqlCeToolbox
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void OnAddClicked(object sender, RoutedEventArgs e)
        {
            using (DbContext db = new DbContext(DbContext.ConnectionString))
            {
                Category category = new Category
                                        {
                                            Name = "Windows Phone",
                                            Description = "Windows Phone Development"
                                        };

                Session session = new Session
                                      {
                                          Code = "WP02",
                                          Title = "SQL CE e Windows Phone",
                                          Category = category
                                      };

                db.LogDebug = true;
                db.Sessions.InsertOnSubmit(session);
                db.SubmitChanges();
            }
        }

        private void OnShowClicked(object sender, RoutedEventArgs e)
        {
            using (DbContext db = new DbContext(DbContext.ConnectionString))
            {
                Session result = db.Sessions.FirstOrDefault();
                MessageBox.Show(string.Format("Categoria: {0} - Titolo: {1}", result.Category.Name, result.Title));
            }
        }
    }
}